package com.yfd.platform.system.service;

import com.yfd.platform.system.domain.QuartzJob;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 定时任务 服务类
 * </p>
 *
 * @author LiMengNan
 * @since 2023-03-19
 */
public interface IQuartzJobService extends IService<QuartzJob> {

    /**********************************
    * 用途说明: 新增定时任务
    * 参数说明 quartzJob 定时对象
    * 返回值说明: boolean 是否成功
    ***********************************/
    boolean addQuartzJob(QuartzJob quartzJob);

    /**********************************
     * 用途说明: 删除定时任务
     * 参数说明 id id
     * 返回值说明: boolean 是否成功
     ***********************************/
    boolean deleteQuartzJob(String id);

    /**********************************
     * 用途说明: 拖动修改定时任务顺序
     * 参数说明  fromID 当前ID  toID 到达ID
     * 返回值说明: com.yfd.platform.config.ResponseResult 返回拖动成功或者失败
     ***********************************/
    boolean changeDictOrder(String fromID, String toID);

    /**********************************
     * 用途说明: 执行定时任务
     * 参数说明 id id
     * 返回值说明: void
     ***********************************/
    void execution(QuartzJob byId);
}
